%define major 0

%define libname %mklibname assuan %{major}
%define develname %mklibname assuan -d

Summary:	Assuan - an IPC library for non-persistent servers
Name:		libassuan
Version:	2.4.3
Release:	%mkrel 1
License:	LGPLv3
Group:		System/Libraries
URL:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	libgpg-error-devel >= 1.8

%description
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n	%{libname}
Summary:	An IPC library for non-persistent servers
Group:		System/Libraries
Obsoletes:	libassuan < 2.0.0-4
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n	%{develname}
Summary:	Header files and static library for assuan
Group:		Development/C
Provides:	libassuan-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires(post):	info-install
Requires(preun):	info-install
Obsoletes:	%{libname}0-devel < 1.0.4
Obsoletes:	%{libname}0-static-devel < 1.0.4

%description -n	%{develname}
Header files and static library for assuan.

%prep
%setup -q

%build
%configure2_5x \
	--includedir=%{_includedir}/libassuan2 \
	--with-pic \
	--enable-static
%make

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/libassuan-config

#we don't want these
find %{buildroot} -name "*.la" -delete

%post -n %{develname}
%_install_info assuan.info

%preun -n %{develname}
%_remove_install_info assuan.info

%files -n %{libname}
%{_libdir}/libassuan.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog AUTHORS NEWS README
%multiarch %{multiarch_bindir}/libassuan-config
%{_bindir}/libassuan-config
%{_includedir}/libassuan2
%{_datadir}/aclocal/*.m4
%{_libdir}/libassuan.so
%{_libdir}/libassuan.a
%{_infodir}/*.info*


%changelog
* Thu Aug 11 2016 luigiwalser <luigiwalser> 2.4.3-1.mga6
+ Revision: 1045493
- 2.4.3

* Thu Mar 31 2016 neoclust <neoclust> 2.4.2-2.mga6
+ Revision: 997094
- Fix includedir

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.4.2-1.mga6
+ Revision: 917727
- 2.4.2

* Wed Sep 09 2015 fwang <fwang> 2.3.0-1.mga6
+ Revision: 874551
- 2.3.0

* Sun Jun 21 2015 luigiwalser <luigiwalser> 2.2.1-1.mga6
+ Revision: 837309
- 2.2.1
- 2.1.3

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-3.mga5
+ Revision: 740764
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.2-2.mga5
+ Revision: 681335
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 2.1.2-1.mga5
+ Revision: 670138
- 2.1.2

* Sat Oct 19 2013 umeabot <umeabot> 2.1.1-2.mga4
+ Revision: 528615
- Mageia 4 Mass Rebuild

  + fwang <fwang>
    - cleanup spec

* Wed Jun 26 2013 fwang <fwang> 2.1.1-1.mga4
+ Revision: 446807
- new version 2.1.1

* Sat Jan 12 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 356828
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 fwang <fwang> 2.0.3-1.mga2
+ Revision: 199352
- new version 2.0.3

* Fri Dec 16 2011 wally <wally> 2.0.2-2.mga2
+ Revision: 182606
- drop .la files (mga#3787)
- clean .spec a bit

* Tue Jul 05 2011 fwang <fwang> 2.0.2-1.mga2
+ Revision: 118626
- add sig
- new version 2.0.2

* Sat Jan 15 2011 mikala <mikala> 2.0.1-1.mga1
+ Revision: 18398
- imported package libassuan

